Subject: Need Assistance with Interpretation of HTTP Specification

From: "Deschenes, David" <[email-masked]>
Date: Fri, 6 Aug 2004 13:26:55 -0400

All,

According to section 6.1 of the HTTP 1.1 specification
(ftp://ftp.isi.edu/in-notes/rfc2616.txt) it appears that the HTTP response
message status line MUST include a "reason phrase" following the status
code, the two being separated by a space.  Is that true?  Is that true even
when the reason phrase is empty, as the specification seems to allow?  The
interpretation that seems most appropriate to me is that the reason phrase
is not optional, but may be empty.  That would mean that a response that
does not include a reason phrase (i.e. it is empty) should look as follows:

HTTP/1.1<SP>200<SP><CR><LF>

Any assistance that you can provide regarding an appropriate interpretation
will be greatly appreciated.

Regards,
David Deschenes
EXTOL International